# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global barename degenerator

Name:               nodejs-degenerator
Version:            1.0.4
Release:            3%{?dist}
Summary:            Turns sync functions into async generator functions

# License is in README.md
License:            MIT
URL:                https://www.npmjs.org/package/degenerator
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
# RHBZ#1262123 https://github.com/TooTallNate/node-degenerator/pull/8

BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
BuildRequires:      npm(ast-types)
BuildRequires:      npm(esprima)
BuildRequires:      npm(escodegen)
%endif


%description
Sometimes you need to write sync looking code that's really async under the
hood. This module takes a String to one or more synchronous JavaScript
functions, and returns a new String that with those JS functions transpiled
into ES6 Generator Functions.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep esprima


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/degenerator
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/degenerator

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha --reporter spec test/test.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/degenerator/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 18 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.4-1
- Update to upstream 1.0.4 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 1.0.2-2
- Remove fixdeps that are no longer required

* Fri Sep 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.2-1
- patch to be compatible with newer ast-types
- update to upstream 1.0.2
- enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.0.3-1
- Initial packaging for Fedora.
